/* ----------------------------------------------------- */
/* e-Ukraine */
@font-face {
    font-family: 'e-Ukraine';
    src:
       url('resources/fonts/e-Ukraine-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-Ukraine';
    src:
       url('resources/fonts/e-Ukraine-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-Ukraine';
    src: url('resources/fonts/e-Ukraine-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-Ukraine';
    src:
       url('resources/fonts/e-Ukraine-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}

/* ----------------------------------------------------- */
/* e-UkraineHead */
/*
@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-Thin.woff2') format('woff2');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}
 */
@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-UltraLight.woff2') format('woff2');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

 
@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'e-UkraineHead';
    src: url('resources/fonts/e-UkraineHead-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
    font-display: swap;
}


html {height:100%;overflow: hidden;}
body {height:100%;overflow: hidden;margin:0;padding:0;font-family: 'e-UkraineHead', Arial, Helvetica, sans-serif;font-size: 12px;line-height: 1.2;color: #000000;box-sizing: border-box;-webkit-tap-highlight-color: rgba(0, 0, 0, 0);}
div, p, span, h1, h2, h3, h4, ol {vertical-align: baseline;margin:0;padding:0;box-sizing: border-box;}
*{margin:0; padding:0;}
img{max-width:100%;vertical-align:middle;}
.blk{display:block;}
.hide{display:none;}
a {color:#3a84df;outline:none;}
a:hover {color:#b22222;}
a:focus {outline:none;}
.nozo {touch-action: pan-x pan-y;-webkit-touch-callout: none; -khtml-user-select: none;}
.unselectable {-webkit-touch-callout: none;-webkit-user-select: none;-khtml-user-select: none;-moz-user-select: none;-ms-user-select: none;user-select: none;}
.no-wrap {white-space: nowrap;}
::-webkit-scrollbar {width: 0;height: 0;}


#unsupported {position:fixed;top:0;left:0;right:0;bottom:0;background-color: #eceff1;z-index:99999;display: none;align-items: center;justify-content: center;}
#unsupported span {display:block;font-family: 'e-Ukraine', sans-serif;font-weight: 300;font-size: 18px;color: #37474f;width: 70%;text-align: center;line-height: 1.5;}

#no-fullscreen {position:fixed;top:0;left:0;right:0;bottom:0;background-color: #00000052;z-index:99999;display: none;}
#no-fullscreen .container {display: flex;align-items: center;justify-content: center;width:100%;height:100%;}
#no-fullscreen .wrap {background-color: #303030;display: flex;flex-direction: column;align-items: center;padding: 30px 32px 26px 32px;border-radius: 14px;}
#no-fullscreen span {display:block;font-family: 'e-Ukraine, sans-serif';font-weight: 300;font-size: 15px;color: #ffffff;text-align: center;line-height: 1.6;}
#no-fullscreen .close {background-image: url(resources/icon/close-white.svg);background-size: 22px;background-position: 50% 50%;background-repeat: no-repeat;width: 36px;height: 36px;border-radius: 40px;margin-top: 26px;background-color: #546e7a73;}
#no-fullscreen .close:hover {cursor:pointer;border: 1px solid #ffffff63;}

.landscape_mode{width:100%;height:100%;background: #171717;position:fixed;overflow:hidden;top:0;left:0;bottom:0;right:0;z-index: 9999999;display:none;}
.landscape_mode .wrapper {display: flex;flex-direction: column;flex-wrap: nowrap;justify-content: center;align-items: center;height: 100%;}
.landscape_mode span {font-family: 'e-Ukraine', sans-serif;font-weight: 300;font-size: 16px;color: #fff;}
.landscape_mode img {width: 90px;margin-top: 38px;}

.intro {background-color: #1E2B42;z-index: 9999;overflow: hidden;overflow-y: auto;width:100%;height:100%;position: fixed;top: 0;left: 0;right:0;bottom:0;text-align:center;color: #fff;display: flex;flex-direction: column;flex-wrap: nowrap;align-items: center;justify-content: flex-start;}
.intro .wrap {display: flex;flex-direction: column;align-items: center;width: 100%;height: 100%;justify-content: flex-start;min-height: 500px;}
.intro .poster {position: relative;width: 100%;display: flex;justify-content: center;background-image: url(resources/img/bk.jpg);background-size: 130%;background-position: 53% 0%;background-repeat: no-repeat;height: 40%;align-items: center;}
.intro .poster::before {content:'';width:100%;height:100%;position: absolute;top: 0;left: 0;right: 0;bottom: 0;background: rgb(30 43 66 / 41%);}
.intro .poster .logo {height: 84%; position: relative; z-index: 2; display: flex; align-items: center; justify-content: center;}
.intro .poster img {height: 70%;}
.intro .poster .desktop {display:none;}
.intro .lang {display: flex;font-size: 12px;line-height: 12px;font-weight: 700;position: absolute;top: 22px;right: 22px;font-family: 'e-UkraineHead';font-weight: 700;gap: 2px;z-index: 3;}
.intro .lang div {background-color: transparent;width: 32px;height: 32px;border-radius: 100%;display: flex;align-items: center;justify-content: center;}
.intro .lang .active{background-color: #bd9629;}
.intro .lang span {display: block;}
.intro .lang a {color: #fff;text-decoration: none;display: block;}
.intro .lang a:hover{text-decoration: underline;}
.intro .main {height: 60%;display: flex;flex-direction: column;align-items: center;justify-content: space-evenly;}
.intro .main .type {font-weight: 400;font-size: 4vw;}
.intro .main .logo {display:none;}

.intro .main h1 {font-weight: 700;font-size: 7.5vw;}
.intro .main .powered {font-weight: 200;margin-top: 12px;font-size: 12px;color: #bbbfc6;}
.intro .main .powered a{color: #bbbfc6;}
.intro .main .powered a:hover {color: #fff;}
.intro .main .footer .donor {font-weight: 300;font-size: 12px;padding: 0 32px 12px 32px;line-height: 1.5;}
.intro .main .footer .copyright {display:none;}

.intro-button {width: 74%;height: 46px;font-size: 4vw;line-height: 26px;font-weight: 200;border-radius: 50px;display: flex;align-items: center;justify-content: center;margin: 30px auto 0;cursor: pointer;}
.intro-button span {display: block;}
.intro-button:hover {cursor:pointer;background-color: #1343D0;}
.intro-button.hide {display: none;}

.intro-button {background: linear-gradient(94.51deg, #CBA22F 0%, #80620F 25%, #CBA22F 50%, #80620F 75%, #CBA22F 100%);
    background-size: 200% 100%;
    animation: goldFlow 12s linear infinite;
}
@keyframes goldFlow {
    from {background-position: 0% 50%;}
    to {background-position: 200% 50%;}
}


/* ---------------------------- */
/* DOWN ------ */
/* --------------------------- */

/* - !!!!!!!!!!!! - - - 330 px - - - !!!!!!!!!!!! - */
@media screen and (max-width: 330px) {
.intro .wrap {min-height: 450px;}
.intro .poster {height: 35%;}
.intro .poster img {height: 84%;}
.intro .lang {top: 18px;right: 16px;}
.intro .main {height: 65%;}
.intro-button {font-size: 120%;}
}

/* - !!!!!!!!!!!! - - - 430px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 430px) {
.intro-button {height: 52px;}
}

/* - !!!!!!!!!!!! - - - 640px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 640px) {
.intro-button {height: 74px;font-size: 3.2cqw;}
}

/* - !!!!!!!!!!!! - - - 760px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 760px) {
.intro .wrap {min-height: 810px;}
.intro .poster img {height: 84%;}
.intro .lang {top: 42px; right: 42px; gap: 6px; font-size: 16px;}
.intro .lang div {width: 42px;height: 42px;}
.intro .main .type {font-size: 3.2vw;}
.intro .main h1 {font-size: 6vw;}
.intro .main .powered {font-size: 16px;font-weight: 300;}
.intro .main .footer .donor {font-size: 18px;}
.intro-button {height: 70px;font-size: 3vw;margin-top: 42px;}
}


/* - !!!!!!!!!!!! - - - 1020 px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1020px) and (orientation: portrait) {
.intro .poster {height: 40%;}
.intro .lang {top: 62px; right: 62px; font-size: 20px;}
.intro .lang div {width: 62px; height: 62px;}
.intro .main {height: 60%;}
.intro .main h1 {font-size: 7vw;}
.intro .main .powered {font-size: 22px;}
.intro-button {height: 82px; font-size: 3vw; margin-top: 52px;}
}

/* - !!!!!!!!!!!! - - - 1020 px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1020px) and (orientation: landscape) {
.intro .wrap {min-height: 500px;display: flex;flex-direction: row-reverse;}
.intro .poster {width: 50%; height: 100%; background-size: cover;}
.intro .poster .logo {width: 100%; height: 100%;}
.intro .poster .desktop {display:block;width: auto;max-width: 76%;height: auto;max-height: 80%;object-fit: cover;}
.intro .poster .mobile {display:none;}
.intro .main {width: 50%;height: 100%;display: flex;align-items: flex-start;padding-left: 4.0%;justify-content: space-around;}
.intro .main .type {font-size: 2cqw;width: 100%;display: flex;flex-direction: row;align-items: center;justify-content: space-between;padding-right: 6.5%;}
.intro .main .type span {display:block;/* width: 45%; */flex-shrink: 1;}
.intro .main .logo {display: flex;flex-direction: row;width: 35%;justify-content: flex-end;gap: 22px;align-items: center;}
.intro .main .logo img {display: block; width: 30%; height: 100%; object-fit: contain;}
.intro .main .title {text-align: left; display: flex; flex-direction: column; align-items: flex-start;}
.intro .main h1 {font-size: 4vw;}

.intro .main .footer {width: 100%;padding-right: 6%;}
.intro .main .footer .devs {display: flex;flex-direction: row;justify-content: space-between;align-items: center;width: 100%;margin-top: 32px;line-height: 1.4;}
.intro .main .footer .donor {display:block; font-size: 1cqw; width: 100%; text-align: left;padding: 0;}
.intro .main .footer .copyright {display:block;font-size: 1cqw;text-align: left;color: #bbbfc6;font-weight: 300;}
.intro .main .powered {font-size: 1cqw;text-align: right;margin-top: 0;}
.intro-button {width: 64%; margin: 30px 0; font-size: 1.7vw; height: 4.7vw;}

}

/* - !!!!!!!!!!!! - - - 1360px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1360px) {
.intro .main h1 {font-size: 3.5vw;}
.intro .main .footer .copyright {font-size: 0.8cqw;}
.intro .main .footer .powered {font-size: 0.8cqw;}
.intro-button {font-size: 1.5vw; height: 4.1vw; margin: 40px 0 30px 0;}
.intro .poster .desktop {max-width: 72%; max-height: 72%;}
}

/* - !!!!!!!!!!!! - - - 1530px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1530px) {
.intro .wrap {min-height: 550px;}
}

/* - !!!!!!!!!!!! - - - 1600px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1600px) {
.intro .main {padding-left: 5.5%;padding-top: 32px;}
.intro .main .type {font-size: 1.8cqw;}
.intro .main .footer {padding-right: 8%;}
.intro-button {font-size: 1.3vw;height: 3.8vw;margin: 40px 0 0px 0;}
.intro .poster .desktop {max-width: 67%;max-height: 67%;}
}

/* - !!!!!!!!!!!! - - - 1900px - - - !!!!!!!!!!!! - */
@media screen and (min-width: 1900px) {
.intro {}
.intro .wrap {}
.intro .poster {}
.intro .poster::before {}
.intro .poster .logo {}
.intro .poster img {}
.intro .lang {}
.intro .lang div {}
.intro .lang a {}
.intro .lang a:hover {}
.intro .main {}
.intro .main .type {}
.intro .main .title {}
.intro .main h1 {}
.intro .main .powered {}
.intro-button {}
.intro .poster .desktop {}
}

/* - !!!!!!!!!!!! - - - 2200px  - - - !!!!!!!!!!!! - */
@media screen and (min-width: 2200px) {
.intro {}
.intro .wrap {}
.intro .poster {}
.intro .poster::before {}
.intro .poster .logo {}
.intro .poster img {}
.intro .lang {}
.intro .lang div {}
.intro .lang a {}
.intro .lang a:hover {}
.intro .main {}
.intro .main .type {}
.intro .main .title {}
.intro .main h1 {}
.intro .main .powered {}
.intro-button {}
.intro .poster .desktop {}
}

/* - !!!!!!!!!!!! - - - 2500px  - - - !!!!!!!!!!!! - */
@media screen and (min-width: 2500px) {
}

/* - !!!!!!!!!!!! - - - 2800px  - - - !!!!!!!!!!!! - */
@media screen and (min-width: 2800px) {
}

/* - !!!!!!!!!!!! - - - 3600px  - - - !!!!!!!!!!!! - */
@media screen and (min-width: 3600px) {
}


#control {position: absolute;top: 0;left: 0;right: 0;bottom: 0;height: 100%;width: 100%;display: flex;align-items: center;justify-content: center;z-index: 9;background: #0000002e;backdrop-filter: blur(6px);-webkit-backdrop-filter: blur(6px);opacity: 0;transition: opacity 0.2s ease-out;-webkit-transition: opacity 0.2s ease-out;-moz-transition: opacity 0.2s ease-out;-o-transition: opacity 0.2s ease-out;}
#control.hide {display:none;}
#control.show {opacity: 1;transition: opacity 0.2s ease-out;-webkit-transition: opacity 0.2s ease-out;-moz-transition: opacity 0.2s ease-out;-o-transition: opacity 0.2s ease-out;}
#control .baffle {position: absolute;top: 0;left: 0;right: 0;bottom: 0;width: 100%;height: 100%;}
#control .wrap {position: absolute;width: 420px;height: 440px;background-color: #1E2B42;color:#fff;border-radius: 10px;box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);display: flex;flex-direction: column;justify-content: space-between;align-items: center;padding: 30px 32px 32px 32px;overflow: hidden;z-index: 2;}
#control .title{font-family: 'e-UkraineHead';text-align:left;width:100%;font-weight: 400;font-size: 20px;}
#control .title span {border-bottom: 1px solid #ffffffb3;width: 160px;padding-bottom: 12px;}
#control .wrap .tab {display: none;width: 100%;height: 100%;flex-direction: column;justify-content: flex-start;align-items: center;text-align: center;margin-top: 52px;}
#control .wrap .tab span {font-family: 'e-Ukraine', sans-serif;font-size: 16px;line-height: 1.6;margin-top: 32px;max-width: 290px;font-weight: 300;}
#control .wrap .tab.active {display: flex;}
#control .img {height: 130px;width: 130px;display: flex;align-items: center;justify-content: center;}
#control .img img {height: 100%;display: block;}

#control .img.circle {border: 4px solid #fff;border-radius: 50%;display: flex;align-items: center;justify-content: center;}

#control .img.circle img {opacity: 0.95;height: 60px;}
#control .img.circle.edit img {margin-top: -15px;}

#control .img.circle.info img {height: 100%;}
#control .img.circle.audiogid img {height: 55%;margin-top: -10px;}
#control .img.circle.music img {height: 50%;transform: rotate(180deg);}
#control .img.circle.map img {height: 48%;}

#control .img .icon-floor-circle {border: 6px solid #fff;-webkit-animation: anime_fc 2.0s cubic-bezier(0.4, 0, 0.2, 1) infinite;animation: anime_fc 2.0s cubic-bezier(0.4, 0, 0.2, 1) infinite;width: 104px;height: 104px;border-radius: 50%;position: relative;}
#control .img .icon-floor-circle .anime-bk {position:absolute;top: -25px;left: -25px;width: 142px;height: 142px;border: 2px solid #fff;border-radius: 80px;-webkit-animation: anime_fc_point 2.0s cubic-bezier(0.4, 0, 0.2, 1) infinite;animation: anime_fc_point 2.0s cubic-bezier(0.4, 0, 0.2, 1) infinite;}
@keyframes anime_fc {
  0% {background-color: #d7924800;}
  30% {background-color: #CBA22F;}
  60% {background-color: #d7924800;}
  100% {background-color: #d7924800;}
}

@keyframes anime_fc_point {
  0% {transform-origin: 50% 50%;transform: scale(1, 1);}
  30% {transform-origin: 50% 50%;transform: scale(0.7, 0.7);}
  60% {transform-origin: 50% 50%;transform: scale(1, 1);}
  100% {transform-origin: 50% 50%;transform: scale(1, 1);}
}

#control .nav-btn {background-image: url(resources/icon/chevron/left-white-normal.svg);background-size: 40px;background-position: 50%;background-repeat: no-repeat;width: 60px;height: 60px;border-radius: 50%;position: absolute;top: 50%;transform: translateY(-50%);border: none;cursor: pointer;user-select: none;margin-top: -28px;}
#control .nav-btn.left {left: 20px;}
#control .nav-btn.right {right: 20px;transform: scaleX(-1) translateY(-50%);}
#control .nav-btn:hover {background-color: #304364;}
#control .dots {display: flex;gap: 12px;}
#control .dot {width: 14px;height: 14px;border-radius: 50%;border:1px solid #fff;}
#control .dot.active {background: #fff;}
#control .dot:hover {cursor: pointer;background: #fff;}
#control .close-btn {background-image: url(resources/icon/menu/close-menu.svg);background-size: 30px;background-position: 50%;background-repeat: no-repeat;width: 42px;height: 42px;position: absolute;top: 22px;right: 22px;border-radius: 50%;background-color: #CBA22F;background-color: #304364;}
#control .close-btn:hover {cursor:pointer;background-color: #3a517a;}
.touchevents #control .wrap .tab .desktop {display:none;}
.no-touchevents #control .wrap .tab .mobile {display:none;}
.touchevents #control .wrap .tab .mobile {display:block;}


/* 1030px */
@media screen and (max-width: 1030px) {
#control .nav-btn:hover, #control .close-btn:hover {background-color:transparent;}
}

/* 480px */
@media screen and (max-width: 480px) {
#control .wrap {width: calc(100% - 60px);}
#control .dots {gap: 16px;}
#control .dot {width: 12px;height: 12px;}
}

/* 440px */
@media screen and (max-width: 440px) {
#control .wrap .tab span {max-width: none;width: calc(100% - 16px);margin-top: 30px;}
#control .img {height: 120px;width: 120px;}
#control .img .mobile {margin-left: -6px;}
}

/* 375px */
@media screen and (max-width: 375px) {
#control .wrap {padding: 30px 30px 30px 30px;height: 410px;}
#control .title {font-size: 18px;}
#control .title span {padding-bottom: 10px;width: 140px;}
#control .close-btn {width: 38px; height: 38px; top: 20px; right: 20px; background-size: 28px;}
#control .wrap .tab.active {margin-top: 62px;}
#control .nav-btn.left {left: 14px;}
#control .nav-btn.right {right: 14px;}
#control .wrap .tab span {width: calc(100% - 24px);font-size: 15px;}
#control .img {height: 100px;width: 100px;}
#control .img .icon-floor-circle {width: 94px;height: 94px;}
#control .img .icon-floor-circle .anime-bk {top: -20px; left: -20px; width: 122px; height: 122px;}
#control .img.circle img {height: 44px;}
#control .img.circle {border: 3px solid #fff;}
#control .nav-btn {margin-top: -30px; background-size: 36px;}
}

/* 320px */
@media screen and (max-width: 320px) {
#control .wrap {padding: 26px 22px 22px 22px;height: 380px;}
#control .close-btn {top: 20px;right: 16px;}
#control .wrap .tab.active {margin-top: 52px;}
#control .nav-btn.left {left: 9px;}
#control .nav-btn.right {right: 9px;}
#control .wrap .tab span {font-size: 14px; width: calc(100% - 18px); line-height: 1.5;}
#control .img {height: 90px;width: 90px;}
#control .img .icon-floor-circle {width: 74px;height: 74px;}
#control .img .icon-floor-circle .anime-bk {top: -20px; left: -20px; width: 102px; height: 102px;}
#control .img.circle img {height: 40px;}
#control .nav-btn {margin-top: -34px;}
}